kernel_restart
Prev | Kernel utility functions | Next

## Name

kernel_restart — reboot the system

## Synopsis

`void kernel_restart (` | char * | cmd`)`;

## Arguments

`cmd`

  pointer to buffer containing command to execute for restart or `NULL`

## Description

Shutdown everything and perform a clean reboot. This is not safe to call in interrupt context.

Prev | Up | Next
emergency_restart | Home | kernel_halt